# Class: BaseLinter

Defined in: | node_modules/gulp-coffeelint/node_modules/coffeelint/src/base_linter.coffee

## Instance Method Summary

- # (void) isObject(obj)
- # (void) createError(ruleName, attrs = {}) Create an error object for the given rule with the given attributes.
- # (void) acceptRule(rule)
- # (void) setupRules(rules) Only rules that have a level of error or warn will even get constructed.
- # (void) normalizeResult(p, result)

## Constructor Details

# (void) constructor(source, config, rules)

## Instance Method Details

# (void) isObject(obj)

# (void) createError(ruleName, attrs = {})

Create an error object for the given rule with the given attributes.

# (void) acceptRule(rule)

# (void) setupRules(rules)

Only rules that have a level of error or warn will even get constructed.

# (void) normalizeResult(p, result)

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input